evaluations
Get evaluations agent workflows
Requires scopes: eval:read
GET
/
api
/
evaluations
/
{id}
/
agent-workflows
Get evaluations agent workflows
curl --request GET \
--url https://evalgate.com/api/evaluations/{id}/agent-workflows \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/evaluations/{id}/agent-workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/evaluations/{id}/agent-workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"coverage": {
"totalCases": 123,
"agentWorkflowCases": 123,
"coverageRate": 123,
"workflowClassDistribution": {
"approval_gated_mutation": 123,
"background_execution": 123,
"recovery_required": 123,
"policy_conflict": 123,
"handoff_heavy": 123,
"memory_sensitive": 123,
"parallel_tool_use": 123
},
"autonomyDistribution": {
"manual": 123,
"default_approvals": 123,
"bypass_approvals": 123,
"autopilot": 123
},
"generatedCandidateCount": 123,
"experimentRecipeCount": 123,
"gaps": [
{
"id": "<string>",
"workflowClass": "approval_gated_mutation",
"severity": "critical",
"description": "<string>",
"recommendation": "<string>"
}
]
},
"artifacts": [
{
"id": 123,
"kind": "<string>",
"title": "<string>",
"summary": {},
"metadata": {
"source": "evaluation_run",
"generatedAt": "<string>",
"evaluationId": 123,
"evaluationRunId": 123,
"includePassed": false,
"top": 123,
"clusters": 123,
"threshold": 123,
"rowCount": 123,
"artifactVersion": "<string>",
"caseCount": 123,
"recipeCount": 123,
"workflowCoverage": {
"totalCases": 123,
"agentWorkflowCases": 123,
"coverageRate": 123,
"workflowClassDistribution": {
"approval_gated_mutation": 123,
"background_execution": 123,
"recovery_required": 123,
"policy_conflict": 123,
"handoff_heavy": 123,
"memory_sensitive": 123,
"parallel_tool_use": 123
},
"autonomyDistribution": {
"manual": 123,
"default_approvals": 123,
"bypass_approvals": 123,
"autopilot": 123
},
"generatedCandidateCount": 123,
"experimentRecipeCount": 123,
"gaps": [
{
"id": "<string>",
"workflowClass": "approval_gated_mutation",
"severity": "critical",
"description": "<string>",
"recommendation": "<string>"
}
]
}
},
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}⌘I
Get evaluations agent workflows
